/* global MembershipInterface */

(function () {

    "use strinct";

    // add the response listener
    window.addEventListener('message', function (event) {

        switch (event.data.method) {
            case "getUser":
                if (event.data.data.user === null) {
                    window.location = "http://www.cstflightservices.com?err=401";
                }
                else if ($("#login-form").length) {
                    $("input[name=username]").val(event.data.data.user.username);
                    $("input[name=password]").val(event.data.data.user.password);
                    $("#login-form").submit();
                }
                break;
               
            case "logOut":
                window.location = "/logout";
                break;
        }
    });

    $(function () {
        $('#ms-frame').on('load', function () {
            MembershipInterface.getUser('ms-frame');
        });
       
        $('#logout-btn').logOut(function() {
            MembershipInterface.getUser('ms-frame');
        });
    });

})();