<?php
	//Start the session so we can store what the security code actually is
	session_start();

	//Send a generated image to the browser
	create_image();
	exit();

function create_image()
{
    //Let's generate a totally random string using md5
    $md5_hash = md5(rand(0,999)); 
    //We don't need a 32 character long string so we trim it down to 5 
    $code=substr($md5_hash, 15, 5); 
	$code=substr(strtoupper(md5("factoryRo".$code)), 0,6);
	
    //Set the session to store the security code
    $_SESSION["security_code"] = $code;	
	
    //Set the image width and height
    $width = 180;
    $height = 50; 
 
	$font="./f/ChalkboardBold.ttf";

	$font_size = 17;
	$image = imagecreate($width, $height);
	$background_color = imagecolorallocate($image, 255, 255, 255);
	$text_color = imagecolorallocate($image, 20, 40, 100);
	$noise_color = imagecolorallocate($image, 100, 120, 180);

	for( $i=0; $i<($width*$height)/3; $i++ ) imagefilledellipse($image, mt_rand(0,$width), mt_rand(0,$height), 1, 1, $noise_color);
	for( $i=0; $i<($width*$height)/150; $i++ ) imageline($image, mt_rand(0,$width), mt_rand(0,$height), mt_rand(0,$width), mt_rand(0,$height), $noise_color);
	$x=3;$y=20;

	imagettftext($image, $font_size, rand(-45,45), $x, $y+(rand()%16), $text_color, $font , $code[0]);
	imagettftext($image, $font_size, rand(-45,45), $x+23, $y+(rand()%16), $text_color, $font , $code[1]);
	imagettftext($image, $font_size, rand(-45,45), $x+46, $y+(rand()%16), $text_color, $font , $code[2]);
	imagettftext($image, $font_size, rand(-45,45), $x+69, $y+(rand()%16), $text_color, $font , $code[3]);
	imagettftext($image, $font_size, rand(-45,45), $x+92, $y+(rand()%16), $text_color, $font , $code[4]);
	imagettftext($image, $font_size, rand(-45,45), $x+115, $y+(rand()%16), $text_color, $font , $code[5]);

	header('Content-Type: image/jpeg');
	imagejpeg($image);
	imagedestroy($image);
}
?>
