var MembershipInterface = {
    logIn: function (frameId, user, pass) {
        var frame = document.getElementById(frameId);
        frame.contentWindow.postMessage({method: 'logIn', user: user, pass: pass}, '*');
        return false;
    },
    logOut: function (frameId) {
        var frame = document.getElementById(frameId);
        frame.contentWindow.postMessage({method: 'logOut'}, '*');
        return false;
    },
    getUser: function (frameId) {
        var frame = document.getElementById(frameId);
        frame.contentWindow.postMessage({method: 'getUser'}, '*');
        return false;
    },
    updateQuestions: function(frameId, q1, a1, q2, a2, q3, a3) {
      var frame = document.getElementById(frameId);
      frame.contentWindow.postMessage({
        method: 'updateQuestions', q1: q1, a1: a1, q2: q2, a2: a2, q3: q3, a3: a3}, '*');
      return false;
    },
    validateHashKey: function (frameId, key) {
        var frame = document.getElementById(frameId);
        frame.contentWindow.postMessage({method: 'validateHashKey', hashKey: key}, '*');
        return false;
    },
    recoverPass: function (frameId, email) {
        var frame = document.getElementById(frameId);
        frame.contentWindow.postMessage({method: 'recoverPass', email: email}, '*');
        return false;
    },
    resetPass: function (frameId, pass, key) {
        var frame = document.getElementById(frameId);
        frame.contentWindow.postMessage({method: 'resetPass', pass: pass, hashKey: key}, '*');
        return false;
    },
};
