$(document).ready(function() {
  //Resize para aplicar tamaños
  setTimeout(function() {
    resize();
    titles();
  }, 1);

  //Comportamiento del cuadro de login para altas rersoluciones
  login_behavior();


  //Función para aparecer el Forgot Password
  $('#forgot-password').click(function() {
    $('#login-form').hide();
    $('#forgot-password-form').show();
  })

  //Función para reaparecer el login
  $('#back-login').click(function() {
    $('#forgot-password-form').hide();
    $('#login-form').show();
  })

  //Despliega el menú para móviles
  $('.menu-icon').click(function() {
    var menu = $('.lateral-menu-mb');
    if ($(menu).css('display') == 'none') {
      // Slide in
      $(menu).show().css("left", -($(menu).outerWidth() + 10)).animate({ left: 0 }, 500);
    } else {
      $(menu).animate({
        left: -($(menu).outerWidth() + 10),
      }, 500, function() {
        $(menu).hide();
      });
    }
  });

  //Despliega el search de móviles
  $('.search_small').click(function() {
    $('.search_small_input input').toggle();
  })

  //Menú secundario para móviles
  $('li.has-child a').click(function() {
    $(this).next('ul').slideToggle();
    $(this).toggleClass('active');
  })
});

//Search script


(function() {
  window.IS_GOOGLE_AFS_IFRAME_ = true;
  var cx = '017607923809294709267:gjyz_l2mmx8';
  var gcse = document.createElement('script');
  gcse.type = 'text/javascript';
  gcse.async = true;
  gcse.src = (document.location.protocol == 'https:' ? 'https:' : 'http:') + '//www.google.com/cse/cse.js?cx=' + cx;
  var s = document.getElementsByTagName('script')[0];
  s.parentNode.insertBefore(gcse, s);
})();


//Comportamiento del cuadro de login para altas rersoluciones
function login_behavior() {
  $('#login').click(function(e) {
    e.stopPropagation();
    $('.login-content').slideToggle();
    setTimeout(function() {
      $('#forgot-password-form').hide();
      $('#login-form').show();
    }, 250)
  });
  $('.login-content').click(function(e) {
    e.stopPropagation();
  });

  $(document).click(function() {
    $('.login-content').slideUp();
  });
}

//Función para mantener el footer en la parte inferior 
//No importando la resolución
function resize() {
  //Obtiene el alto de la ventana
  var window_h = $(window).height();
  //Obtiene el alto del contenido
  var content_h = $(".contenidoTotal").height();
  //Obtiene el alto del pie
  var inferior_h = $(".inferior").outerHeight();
  //Padding que se necesita para posicionar al pie en la parte inferior de la ventana
  var position_inferior = window_h - content_h - inferior_h;

  if (content_h + inferior_h < window_h) {
    $(".contenidoTotal").css('padding-bottom', position_inferior);
  } else {}
}

function titles() {
  //Obtiene el ancho de la columna y del título
  var column_w = $(".large-12.columns.title_1").width();
  var titulo_w = $(".title_1 h2").width();
  //Obtiene el ancho de la línea del título
  $(".title_1 div").css('width', column_w - titulo_w - 15);

  //Obtiene el ancho de la columna y del título
  var column_w = $(".large-12.columns.title_2").width();
  var titulo_w = $(".title_2 h2").width();
  //Obtiene el ancho de la línea del título
  $(".title_2 div").css('width', column_w - titulo_w - 15);

  //Obtiene el ancho de la columna y del título
  var column_w = $(".large-12.columns.title_3").width();
  var titulo_w = $(".title_3 h2").width();
  //Obtiene el ancho de la línea del título
  $(".title_3 div").css('width', column_w - titulo_w - 15);

  //Obtiene el ancho de la columna y del título
  var column_w = $(".large-12.columns.title_4").width();
  var titulo_w = $(".title_4 h2").width();
  //Obtiene el ancho de la línea del título
  $(".title_4 div").css('width', column_w - titulo_w - 15);

  //Obtiene el ancho de la columna y del título
  var column_w = $(".large-12.columns.title_5").width();
  var titulo_w = $(".title_5 h2").width();
  //Obtiene el ancho de la línea del título
  $(".title_5 div").css('width', column_w - titulo_w - 15);

  //Obtiene el ancho de la columna y del título
  var column_w = $(".large-12.columns.title_6").width();
  var titulo_w = $(".title_6 h2").width();
  //Obtiene el ancho de la línea del título
  $(".title_6 div").css('width', column_w - titulo_w - 15);

  //Obtiene el ancho de la columna y del título
  var column_w = $(".large-12.columns.title_7").width();
  var titulo_w = $(".title_7 h2").width();
  //Obtiene el ancho de la línea del título
  $(".title_7 div").css('width', column_w - titulo_w - 15);

  //Obtiene el ancho de la columna y del título
  var column_w = $(".large-12.columns.title_8").width();
  var titulo_w = $(".title_8 h2").width();
  //Obtiene el ancho de la línea del título
  $(".title_8 div").css('width', column_w - titulo_w - 15);
}

$(window).on('resize', function() {
  resize();
  titles();
});

/*Para centrar pantalla emergente*/
function openOnCenter(pageURL, title, w, h) {
  var left = (screen.width - w) / 2;
  var top = (screen.height - (h + 80)) / 3;
  var target = window.open(pageURL, title, 'resizable=true", toolbar=no, scrollbars=yes, width=' + w + ', height=' + h + ', top=' + top + ', left=' + left);
}

function bigMap() {
  openOnCenter('map/cstmap.html', '', 670, 770);
}
