$(document).ready(function() {
  //Resize para aplicar tamaños
  setTimeout(function() {
    resize();
    titles();
  }, 1);


  //Función para aparecer el Forgot Password
  $('#forgot-password').click(function() {
    $('#login-form').hide();
    $('#forgot-password-form').show();
  })

  //Función para reaparecer el login
  $('#back-login').click(function() {
    $('#forgot-password-form').hide();
    $('#login-form').show();
  })

  //Despliega el menú para móviles
  $('.menu-icon').click(function() {
    var menu = $('.lateral-menu-mb');
    if ($(menu).css('display') == 'none') {
      // Slide in
      $(menu).show().css("left", -($(menu).outerWidth() + 10)).animate({ left: 0 }, 500);
    } else {
      $(menu).animate({
        left: -($(menu).outerWidth() + 10),
      }, 500, function() {
        $(menu).hide();
      });
    }
  });

  //Despliega el search de móviles
  $('.search_small').click(function() {
    $('.search_small_input input').toggle();
  })

  //Menú secundario para móviles
  $('li.has-child a').click(function() {
    $(this).next('ul').slideToggle();
    $(this).toggleClass('active');
  })
});

//Función para mantener el footer en la parte inferior 
//No importando la resolución
function resize() {
  //Obtiene el alto de la ventana
  var window_h = $(window).height();
  //Obtiene el alto del contenido
  var content_h = $(".contenidoTotal").height();
  //Obtiene el alto del pie
  var inferior_h = $(".inferior").outerHeight();
  //Padding que se necesita para posicionar al pie en la parte inferior de la ventana
  var position_inferior = window_h - content_h - inferior_h;

  if (content_h + inferior_h < window_h) {
    $(".contenidoTotal").css('padding-bottom', position_inferior);
  } else {}
}

function titles() {
  //Obtiene el ancho de la columna y del título
  var column_w = $(".large-12.columns.title_1").width();
  var titulo_w = $(".title_1 h2").width();
  //Obtiene el ancho de la línea del título
  $(".title_1 div").css('width', column_w - titulo_w - 15);
}

$(window).on('resize', function() {
  resize();
  titles();
});
