<?php
//	Script Version 7.5.7

// Require the library
require ("../libs/admin.inc.php");
require ("../languages/{$config['LANGUAGE']}/admin/generic.php");
require ("../languages/{$config['LANGUAGE']}/admin/view_subscriptions.php");

// Get the input
$returntab = get_input("returntab","both");

// -----------------
// Get the user info

$userob = new user;
$user = $userob -> authenticate("USER_DISPLAY_NAME");

$admin = new Admin;

$admin->doAuth();

$query = "
	select t1.SUBSCRIPTION_ID,t2.USER_DISPLAY_NAME,t3.SUBSCRIPTION_NAME,t1.SUBSCRIPTION_START_DATE,t1.SUBSCRIPTION_END_DATE,SUBSCRIPTION_STATUS,SUBSCRIPTION_IS_ACTIVE,SUBSCRIPTION_PAYMENT,t1.USER_ID,t3.GROUP_ID
	from {$config['TABLE_PREFIX']}SUBSCRIPTION_DATA as t1,
	{$config['TABLE_PREFIX']}USERS as t2,
	{$config['TABLE_PREFIX']}SUBSCRIPTIONS as t3
	where t1.USER_ID = t2.USER_ID
	and t1.GROUP_ID = t3.GROUP_ID
	order by t1.SUBSCRIPTION_ID desc
";
$sth = $dbh->do_query($query,__LINE__,__FILE__);
while(list($invoice,$user,$name,$start,$end,$status,$active,$payment,$uid,$group_id) = $dbh->fetch_array($sth)) {
	if ($active) {
		$active = $ubbt_lang['TEXT_YES'];
	} else {
		$active = $ubbt_lang['TEXT_NO'];
	} // end if

	if (!$end) {
		$end = $ubbt_lang['NO_END'];
	} else {
		$end = $html->convert_time($end);
	} // end if
	
	if (!$start) {
		$start = $ubbt_lang['NOT_STARTED'];
	} else { 
		$start = $html->convert_time($start);
	} // end if

	$subs[] = array(
		"invoice" => $invoice,
		"user" => $user,
		"name" => $name,
		"start" => $start,
		"end" => $end,
		"status" => $status,
		"active" => $active,
		"payment" => $payment,
		"uid" => $uid,
		"group_id" => $group_id,
	);
} // end while



$tabs = array(
	"{$ubbt_lang['VIEW_SUBS']}" => "",
);

// Create the Page
$admin->setCurrentMenu($ubbt_lang['VIEW_SUBS']);
$admin->setReturnTab($returntab);
$admin->setPageTitle($ubbt_lang['VIEW_SUBS']);
$admin->sendHeader();
$admin->createTopTabs($tabs);

// Include the template
include("../templates/default/admin/view_subscriptions.tmpl");

$admin->sendFooter();
?>
