<?php defined( 'UBB_MAIN_PROGRAM' ) or exit;
//  Script Version 7.5.7



define('NO_WRAPPER',1);

function page_wrapper_gpc () {
	return array(
		"input" => array(
			"style" => array("style","both","int"),
			"wrapper" => array("wrapper","both","int"),
		),
		"wordlets" => array("wrapper"),
		"user_fields" => "",
		"regonly" => 0,
		"admin_only" => 1,
		"admin_or_mod" => 0,
	);
} // end page_wrapper_gpc

function page_wrapper_run () {

	global $wrappers,$style_array,$smarty,$user,$in,$ubbt_lang,$config,$forumvisit,$visit,$dbh,$html;

	extract($in, EXTR_OVERWRITE | EXTR_REFS); // quick and dirty fix - extract hash values as vars

	$style = (!style) ? $config['DEFAULT_STYLE'] : $style;
	include("{$config['FULL_PATH']}/styles/{$style}.php");

	$stylesheet = "{$config['BASE_URL']}/styles/{$style_array['css']}";

	$query = "
		select STYLE_ID,STYLE_NAME
		from {$config['TABLE_PREFIX']}STYLES
		where STYLE_IS_ACTIVE = '1'
		order by STYLE_NAME
	";
	$sth = $dbh->do_query($query,__LINE__,__FILE__);
	$options = "";
	while(list($style_id,$style_name) = $dbh->fetch_array($sth)) {
		$selected = "";
		if ($style_id == $style) {
			$selected = "selected=\"selected\"";
		} // end if
		$options .= "<option value=\"$style_id\">$style_name</option>";
	} // end while

	if ($wrapper || $wrapper == "0") {
		$tbopen = $wrappers[$wrapper]['open'];
		$tbclose = $wrappers[$wrapper]['close'];
		$uri = make_ubb_url("ubb=wrapper&wrapper=$wrapper", "", false);
	}

	$smarty_data = array(
		"stylesheet" => $stylesheet,
		"options" => $options,
		"tbopen" => $tbopen,
		"tbclose" => $tbclose,
		"wrapper" => $wrapper,
		"uri" => $uri,
	);

	return array(
		"header" => array (
			"title" => $ubbt_lang[''],
			"refresh" => 0,
			"user" => $user,
			"Board" => "",
			"bypass" => 0,
			"onload" => "",
			"breadcrumb" => "",
		),
		"template" => "wrapper",
		"data" => & $smarty_data,
		"footer" => false,
		"location" => "",
	);
}

?>
